Subject: Re: [COSE] IANA registry for COSE Alg parameter

From: Francesca Palombini <[email-masked]>
Date: Mon, 4 Nov 2019 09:41:41 +0000

Hi Ivo,

Thanks for your answer.

Since we haven’t seen anything happen in the github for this submission deadline, we are keeping this registry in the CoRE draft for now (since we can’t reference the registry in the COSE doc), but we hope this can be added to COSE by Singapore. If Jim adds this before submission deadline, and before we submit the CoRE draft, we’ll reference it.

Thanks,
Francesca

From: ivaylo petrov <[email-masked]>
Date: Thursday, 17 October 2019 at 17:35
To: Francesca Palombini <[email-masked]>, Jim Schaad <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Cose Chairs Wg <[email-masked]>, Cose Wg <[email-masked]>
Subject: Re: [COSE] IANA registry for COSE Alg parameter

Hello Francesca, Jim, all

Sorry for the delay! We discussed with Matthew and for us it seems that the best option is to include the creation of this registry in draft-ietf-cose-rfc8152bis-algs as you suggested if Jim is fine with that. We consider that this will be more convenient for implementers and more logical as a structure.

Jim, and everyone else, please let us know as soon as possible if you have any concerns regarding this. If not, Jim, please update draft-ietf-cose-rfc8152bis-algs with this change, so that we can move forward.

Best regards,
- Matthew and Ivaylo
COSE Chairs

On Tue, Sep 17, 2019 at 11:28 AM Peter van der Stok <[email-masked]<mailto:[email-masked]>> wrote:
Hi Francesca,

As long as I can find the definitions in the COSE IANA registry, I am happy.
The registry points to the original publishing document.
I don't really see the added value of defining them elsewhere than in the document that first needs them.
Unless you propose a change to the other registries, that I did not see.

Peter

Francesca Palombini schreef op 2019-09-17 09:54:
Hi Peter,

Thank you for your comment. Yes, that is not specified in https://tools.ietf.org/html/draft-ietf-core-oscore-groupcomm-05#section-9.1 right now, but we were planning on having this new register in the COSE IANA page (independently of where this registry is defined).

The question we have is: what document should define this registry. I think a COSE wg document, and possibly draft-ietf-cose-rfc8152bis-algs, would make more sense. Chairs, could you consider this point before requesting publication?

Looking forward to more opinions.
Francesca

From: Peter van der Stok <[email-masked]<mailto:[email-masked]>>
Organisation: vanderstok consultancy
Reply to: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, 17 September 2019 at 09:47
To: Francesca Palombini <[email-masked]<mailto:[email-masked]>>
Cc: Cose Wg <[email-masked]<mailto:[email-masked]>>, Jim Schaad <[email-masked]<mailto:[email-masked]>>
Subject: Re: [COSE] IANA registry for COSE Alg parameter

HI Francesca,

thanks for raising the subject of regsitration.

For the moment I am happy to find all COSE related values in https://www.iana.org/assignments/cose/cose.xhtml.<https://www.iana.org/assignments/cose/cose.xhtml>
My hope is that all future COSE registries can all be found at this same page.

Greetings,

Peter

Francesca Palombini schreef op 2019-09-12 12:05:
Hi,

Following up on a discussion with Jim at IETF105, and discussion with my co-authors: both EDHOC (https://tools.ietf.org/html/draft-selander-ace-cose-ecdhe-14 ) and OSCORE Groupcomm (https://tools.ietf.org/html/draft-ietf-core-oscore-groupcomm-05 ) would benefit from a standardized way of getting the CBOR format (and optionally possible values) of the parameters associated to a COSE Algorithm. COSE does not currently specify that, it does have some of this info for COSE Key (depending on the key type), but we would really rather have a simple way to get that information from the algorithm directly. That means for example, specify the CBOR encoding of the parameter "curve" for  EdDSA.

As we first needed it in OSCORE Groupcomm, we have some proposed text for a IANA registry that could be used: https://tools.ietf.org/html/draft-ietf-core-oscore-groupcomm-05#section-9.1 . Since this is more general and we need this in other documents as well (EDHOC), we think it would make more sense to add this to one of the existing COSE specifications (draft-ietf-cose-rfc8152bis-algs?) or draft a new COSE document covering this.

We would ask the WG to consider adding such an IANA registry, and would like your opinion on where better to have this.

Thanks,
Francesca

_______________________________________________
COSE mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/cose